### Hierarchy

- InlineLoading

## Index

### Inputs

- errorText
- loadingText
- state
- successDelay
- successText
- isActive
- success

### Outputs

- onSuccess

### Properties

- InlineLoadingState
- errorText
- loadingClass
- loadingText
- onSuccess
- state
- successDelay
- successText

### Accessors

- isActive
- success

## Properties

### InlineLoadingState

InlineLoadingState: InlineLoadingState = InlineLoadingState

- Defined in src/inline-loading/inline-loading.component.ts:64

### errorText

@Input()
errorText: string

- Defined in src/inline-loading/inline-loading.component.ts:85

### loadingClass

@HostBinding({"hostPropertyName":"class.bx--inline-loading"})
loadingClass: boolean = true

- Defined in src/inline-loading/inline-loading.component.ts:119

### loadingText

@Input()
loadingText: string

- Defined in src/inline-loading/inline-loading.component.ts:73

### onSuccess

@Output()
onSuccess: EventEmitter<any> = new EventEmitter()

- Defined in src/inline-loading/inline-loading.component.ts:117

### state

@Input()
state: InlineLoadingState | string = InlineLoadingState.Active

- Defined in src/inline-loading/inline-loading.component.ts:69

### successDelay

@Input()
successDelay: number = 1500

- Defined in src/inline-loading/inline-loading.component.ts:81

### successText

@Input()
successText: string

- Defined in src/inline-loading/inline-loading.component.ts:77

## Accessors

### isActive

@Input()
isActive:

- Defined in src/inline-loading/inline-loading.component.ts:89
- Defined in src/inline-loading/inline-loading.component.ts:92

### success

@Input()
success:

- Defined in src/inline-loading/inline-loading.component.ts:99
- Defined in src/inline-loading/inline-loading.component.ts:105

Generated using TypeDoc